diff -ur therion-5.3.12.orig/loch/lxGUI.cxx therion-5.3.12.orig.whitespace/loch/lxGUI.cxx
--- therion-5.3.12.orig/loch/lxGUI.cxx	2013-12-22 16:57:43.000000000 +0000
+++ therion-5.3.12.orig.whitespace/loch/lxGUI.cxx	2013-12-24 23:39:02.000000000 +0000
@@ -665,7 +665,7 @@
           } else {
             this->m_fileName = dialog.GetPath();
             this->m_fileDir  = dialog.GetDirectory();
-						this->m_fileType = 0;
+            this->m_fileType = 0;
             this->DetectFileType();
             this->ReloadData();
             this->setup->ResetCamera();
diff -ur therion-5.3.12.orig/thdataleg.h therion-5.3.12.orig.whitespace/thdataleg.h
--- therion-5.3.12.orig/thdataleg.h	2013-12-22 21:28:50.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thdataleg.h	2013-12-24 23:41:28.000000000 +0000
@@ -449,11 +449,11 @@
   void calc_total_stds();
 
 
-	/**
-	 * Export station attributes to metapost.
-	 */
+  /**
+   * Export station attributes to metapost.
+   */
 
-	void export_mp_flags(FILE * out);
+  void export_mp_flags(FILE * out);
 
   
 };
diff -ur therion-5.3.12.orig/thdb1d.cxx therion-5.3.12.orig.whitespace/thdb1d.cxx
--- therion-5.3.12.orig/thdb1d.cxx	2013-12-22 21:28:50.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thdb1d.cxx	2013-12-24 23:44:24.000000000 +0000
@@ -73,7 +73,7 @@
 
 void thdb1ds::export_mp_flags(FILE * out)
 {
-	fprintf(out, "ATTR__stationflag_splay := %s;\n", (this->is_temporary() ? "true" : "false"));
+  fprintf(out, "ATTR__stationflag_splay := %s;\n", (this->is_temporary() ? "true" : "false"));
 }
 
 void thdb1ds::set_temporary(const char * name)
@@ -123,7 +123,7 @@
   int lastleggridmccs = TTCS_LOCAL;
   thdata * dp;
   unsigned used_declination = 0;
-	unsigned long prevlsid;
+  unsigned long prevlsid;
   double dcc, sindecl, cosdecl, tmpx, tmpy;
   thdb1ds * tsp1, * tsp2;  // Temporary stations.
   this->min_year = thnan;
@@ -421,7 +421,7 @@
     obi++;
   }
 
-	// process equates separately
+  // process equates separately
   obi = this->db->object_list.begin();
   while (obi != this->db->object_list.end()) {
     if ((*obi)->get_class_id() == TT_DATA_CMD) {
@@ -430,10 +430,10 @@
       eqi = dp->equate_list.begin();
       try {
         while(eqi != dp->equate_list.end()) {
-					prevlsid = this->lsid;
+          prevlsid = this->lsid;
           eqi->station.id = this->insert_station(eqi->station, eqi->psurvey, dp, 1);
-					if ((prevlsid < eqi->station.id) && (eqi->station.survey != NULL))
-						thwarning(("%s [%d] -- equate used to define new station (%s@%s)", eqi->srcf.name, eqi->srcf.line, eqi->station.name, eqi->station.survey));
+          if ((prevlsid < eqi->station.id) && (eqi->station.survey != NULL))
+            thwarning(("%s [%d] -- equate used to define new station (%s@%s)", eqi->srcf.name, eqi->srcf.line, eqi->station.name, eqi->station.survey));
           eqi++;
         }
       }
diff -ur therion-5.3.12.orig/thdb1d.h therion-5.3.12.orig.whitespace/thdb1d.h
--- therion-5.3.12.orig/thdb1d.h	2013-12-22 21:28:50.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thdb1d.h	2013-12-24 23:44:59.000000000 +0000
@@ -198,9 +198,9 @@
    */
   void set_temporary(const char * name);
 
-	/**
-	 * Export station attributes to metapost.
-	 */
+  /**
+   * Export station attributes to metapost.
+   */
 
 	void export_mp_flags(FILE * out);
   
diff -ur therion-5.3.12.orig/thexpmap.cxx therion-5.3.12.orig.whitespace/thexpmap.cxx
--- therion-5.3.12.orig/thexpmap.cxx	2013-12-22 21:28:50.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thexpmap.cxx	2013-12-24 23:47:27.000000000 +0000
@@ -2697,7 +2697,7 @@
           commentstr += " etex";
         }
         this->db->db1d.m_station_attr.export_mp_object_begin(out->file, slp->station_name.id);
-				slp->station->export_mp_flags(out->file);
+        slp->station->export_mp_flags(out->file);
         out->symset->export_mp_symbol_options(out->file, macroid);
         fprintf(out->file,"p_station((%.2f,%.2f),%d,%s,\"\"",
           thxmmxst(out, slp->stx, slp->sty),
@@ -2787,16 +2787,16 @@
             if (expstation) {
               if (obj->export_mp(noout)) {
                 thexpmap_export_mp_bgif;
-								if (ptp->station_name.id != 0) {
+                if (ptp->station_name.id != 0) {
                   tmps = &(thdb.db1d.station_vec[ptp->station_name.id - 1]);
-									tmps->export_mp_flags(out->file);
-					        this->db->db1d.m_station_attr.export_mp_object_begin(out->file, ptp->station_name.id);
-								} else
-									tmps = NULL;
+                  tmps->export_mp_flags(out->file);
+                  this->db->db1d.m_station_attr.export_mp_object_begin(out->file, ptp->station_name.id);
+                } else
+                  tmps = NULL;
                 obj->export_mp(out);
-								if (tmps != NULL) {
-					        this->db->db1d.m_station_attr.export_mp_object_end(out->file, ptp->station_name.id);
-								}
+                if (tmps != NULL) {
+                  this->db->db1d.m_station_attr.export_mp_object_end(out->file, ptp->station_name.id);
+                }
                 if (out->layout->is_debug_stationnames() && (tmps != NULL)) {
                   dbg_stnms.appspf("p_label.urt(btex \\thstationname %s etex, (%.2f, %.2f), 0.0, 7);\n",
                     (const char *) utf2tex(thobjectname__print_full_name(tmps->name, tmps->survey, layout->survey_level)), 
diff -ur therion-5.3.12.orig/thexpmodel.cxx therion-5.3.12.orig.whitespace/thexpmodel.cxx
--- therion-5.3.12.orig/thexpmodel.cxx	2013-12-22 20:40:17.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thexpmodel.cxx	2013-12-24 23:48:52.000000000 +0000
@@ -455,7 +455,7 @@
   thdb_object_list_type::iterator obi;
   thdb3ddata * pgn = dbp->db1d.get_3d(), 
     * surf_pgn = dbp->db1d.get_3d_surface(),
-		* splay_pgn = dbp->db1d.get_3d_splay(),
+    * splay_pgn = dbp->db1d.get_3d_splay(),
     * tmp3d;
   thdb3dlim pgnlimits, finlim;
   switch (this->items & TT_EXPMODEL_ITEM_CENTERLINE) {
@@ -630,7 +630,7 @@
   thdb_object_list_type::iterator obi;
   thdb3ddata * pgn = dbp->db1d.get_3d(), 
     * surf_pgn = dbp->db1d.get_3d_surface(),
-		* splay_pgn = dbp->db1d.get_3d_splay(),
+    * splay_pgn = dbp->db1d.get_3d_splay(),
     * tmp3d;
   thdb3dlim pgnlimits, finlim;
   switch (this->items & TT_EXPMODEL_ITEM_CENTERLINE) {
@@ -644,8 +644,8 @@
     default:    
       pgnlimits.update(&(pgn->limits));
   }
-	if ((this->items & TT_EXPMODEL_ITEM_SPLAYSHOTS) != 0)
-		pgnlimits.update(&(splay_pgn->limits));
+  if ((this->items & TT_EXPMODEL_ITEM_SPLAYSHOTS) != 0)
+    pgnlimits.update(&(splay_pgn->limits));
 
   finlim.update(&(pgnlimits));
   // now let's print header
@@ -884,7 +884,7 @@
   thdb_object_list_type::iterator obi;
   thdb3ddata * pgn = dbp->db1d.get_3d(), 
     * surf_pgn = dbp->db1d.get_3d_surface(),
-		* splay_pgn = dbp->db1d.get_3d_splay(),
+    * splay_pgn = dbp->db1d.get_3d_splay(),
     * tmp3d;
   thdb3dlim pgnlimits, finlim;
   switch (this->items & TT_EXPMODEL_ITEM_CENTERLINE) {
@@ -898,8 +898,8 @@
     default:    
       pgnlimits.update(&(pgn->limits));
   }
-	if ((this->items & TT_EXPMODEL_ITEM_SPLAYSHOTS) != 0)
-		pgnlimits.update(&(splay_pgn->limits));
+  if ((this->items & TT_EXPMODEL_ITEM_SPLAYSHOTS) != 0)
+    pgnlimits.update(&(splay_pgn->limits));
   finlim.update(&(pgnlimits));
   avx = (pgnlimits.minx + pgnlimits.maxx) / 2.0;
   avy = (pgnlimits.miny + pgnlimits.maxy) / 2.0;
@@ -1104,8 +1104,8 @@
     default:    
       pgnlimits.update(&(pgn->limits));
   }
-	if ((this->items & TT_EXPMODEL_ITEM_SPLAYSHOTS) != 0)
-		pgnlimits.update(&(splay_pgn->limits));
+  if ((this->items & TT_EXPMODEL_ITEM_SPLAYSHOTS) != 0)
+    pgnlimits.update(&(splay_pgn->limits));
   finlim.update(&(pgnlimits));
   avx = 0.0;
   avy = 0.0;
diff -ur therion-5.3.12.orig/thscrap.cxx therion-5.3.12.orig.whitespace/thscrap.cxx
--- therion-5.3.12.orig/thscrap.cxx	2013-12-22 19:03:48.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thscrap.cxx	2013-12-24 23:49:52.000000000 +0000
@@ -65,8 +65,8 @@
   this->G = 1.0;
   this->B = 1.0;
   
-	this->z = 0.0;
-	this->a = 0.0;
+  this->z = 0.0;
+  this->a = 0.0;
 
   this->flip = TT_SCRAP_FLIP_NONE;
   
@@ -872,12 +872,12 @@
 {
   thdb2dcp * cp = this->fcpp;
   this->z = 0.0;
-	this->a = 0.0;
+  this->a = 0.0;
   unsigned long numcp = 0;
   while(cp != NULL) {
     if (cp->st != NULL) {
       this->z += cp->tz;
-			this->a += cp->ta;
+      this->a += cp->ta;
       numcp++;
     }
     cp = cp->nextcp;
diff -ur therion-5.3.12.orig/thscraplp.cxx therion-5.3.12.orig.whitespace/thscraplp.cxx
--- therion-5.3.12.orig/thscraplp.cxx	2013-12-22 22:14:09.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thscraplp.cxx	2013-12-24 23:51:12.000000000 +0000
@@ -137,8 +137,8 @@
     if (export_shot) {
       if (this->arrow != NULL)
         this->arrow->leg->leg->export_mp_flags(out->file);
-      out->symset->export_mp_symbol_options(out->file, this->type);
-      fprintf(out->file,"%s(((%.2f,%.2f) -- (%.2f,%.2f)));\n",
+        out->symset->export_mp_symbol_options(out->file, this->type);
+        fprintf(out->file,"%s(((%.2f,%.2f) -- (%.2f,%.2f)));\n",
         out->symset->get_mp_macro(this->type),
         thxmmxst(out, this->lnx1, this->lny1),
         thxmmxst(out, this->lnx2, this->lny2));
diff -ur therion-5.3.12.orig/thtmpdir.h therion-5.3.12.orig.whitespace/thtmpdir.h
--- therion-5.3.12.orig/thtmpdir.h	2013-01-03 20:56:48.000000000 +0000
+++ therion-5.3.12.orig.whitespace/thtmpdir.h	2013-12-24 23:52:58.000000000 +0000
@@ -47,8 +47,8 @@
   bool delete_all;  ///< ID whether to delete temporary directory.
   bool debug;  ///< ID, whether debugging mode is on.  
   thbuffer name,  ///< Name of temp dir.  
-    file_name,  ///< Name of temporary file.
-    tmp_remove_script;
+  file_name,  ///< Name of temporary file.
+  tmp_remove_script;
 
   /**
    * Creates temporary directory.
@@ -58,7 +58,7 @@
   
   
   /**
-   * Removes temporaty directory.
+   * Removes temporary directory.
    */
    
   void remove();
